Skip to main content
GET
/
api
/
v1
/
info
/
specialties
Gets the list of supported medical specialties.
curl --request GET \
  --url https://sdp.suki-stage.com/api/v1/info/specialties \
  --header 'sdp_suki_token: <sdp_suki_token>'
{
  "specialties": [
    {
      "code": "CARDIOLOGY"
    }
  ]
}
Use this endpoint to get the list of supported medical specialties. This list is used to validate the specialty field in the when creating or updating an . For more information about the specialties, refer to the Medical specialties section.

Code examples

import requests

url = "https://sdp.suki.ai/api/v1/info/specialties"
headers = {
    "sdp_suki_token": "<sdp_suki_token>"
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    specialties_data = response.json()
    print("Supported Medical Specialties:")
    for specialty in specialties_data.get("specialties", []):
        print(f"  {specialty.get('code')}")
else:
    print(f"Failed to get specialties: {response.status_code}")
    print(response.json())

Headers

sdp_suki_token
string
required

sdp_suki_token

Response

Success Response

Response body for the /info/specialties endpoint

specialties
object[]

Information about supported specialties

Last modified on April 1, 2026